Bug 1928854 - ipa-server-install ignores --zonemgr parameter
Summary: ipa-server-install ignores --zonemgr parameter
Keywords:
Status: POST
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ipa
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Thomas Woerner
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-15 16:49 UTC by Michal Polovka
Modified: 2021-04-21 20:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:
cheimes: needinfo-


Attachments (Terms of Use)

Description Michal Polovka 2021-02-15 16:49:14 UTC
Description of problem:
When installing ipa-server with DNS and non-default zone manager contact, e-mail provided in --zonemgr is ignored and default is used.

Version-Release number of selected component (if applicable):
ipa-server-4.8.7-13

How reproducible:
Always

Steps to Reproduce:
1. install ipa-server-dns package
2. ipa-server-install --domain $DOMAIN --realm $REALM -a $PASSWD -p $PASSWD -U --setup-dns --auto-forwarders --zonemgr=custom@email.eu
3. kinit admin
4. ipa dnszone-show $DOMAIN

Actual results:

Administrator e-mail address: hostmaster.dom-.....com.

Expected results:
Administrator e-mail address: custom@email.eu

Additional info:
From ipa-server-install man page:
--zonemgr
    The e-mail address of the DNS zone manager. Defaults to hostmaster@DOMAIN

Comment 2 Alexander Bokovoy 2021-02-16 11:03:53 UTC
There is one suspect: commit f52a15b808 changed the following condition

f52a15b808 ipaserver/install/bindinstance.py    (Christian Heimes        2020-06-10 11:16:07 +0200  685)         if zonemgr is not None:
a7162e7766 ipaserver/install/bindinstance.py    (Martin Bašti            2014-11-07 12:45:43 +0100  686)             self.zonemgr = 'hostmaster.%s' % normalize_zone(self.domain)
3f0eb1417c ipaserver/install/bindinstance.py    (Martin Košek            2011-11-23 16:03:51 +0100  687)         else:
3f0eb1417c ipaserver/install/bindinstance.py    (Martin Košek            2011-11-23 16:03:51 +0100  688)             self.zonemgr = normalize_zonemgr(zonemgr)

before, it was 'if not zonemgr:'

So if zonemgr is not None, we ignore it.

Comment 3 Alexander Bokovoy 2021-02-16 14:22:00 UTC
This got to RHEL 8.3 via this backport of the commit f52a15b808:

git tag --contains b2c3c040ddb7cf3c509b8221ce25574b8d6774d0
release-4-8-10
release-4-8-7
release-4-8-8
release-4-8-9

I think the fix would be to remove 'not' from the 'if' statement, e.g. 'if zonemgr is None:'...

Comment 4 Antonio Torres 2021-02-17 09:34:47 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/8718

Comment 5 Florence Blanc-Renaud 2021-02-23 08:43:12 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/8718

Comment 6 Florence Blanc-Renaud 2021-02-25 19:27:58 UTC
Fixed upstream
master:
https://pagure.io/freeipa/c/04e57e6fd42b5d21905b6a9d79deff72f10acd06
https://pagure.io/freeipa/c/4fc1e15c7c7bd86355f084fd303a41e8c669402a

Upstream test added in ipatests/test_integration/test_installation.py::TestInstallMasterDNS::test_install_master


Note You need to log in before you can comment on or make changes to this bug.